## calamares-settings-aptosid 20250803.1

=== debian/changelog ===
calamares-settings-aptosid (20250803.1) unstable; urgency=medium

  [ Kel Modderman ]
  * Drop libvirt from default groups and mark systems groups as such.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 03 Aug 2025 17:30:44 +0200

calamares-settings-aptosid (20250709.2) unstable; urgency=medium

  [ Kel Modderman ]
  * Purge btrfs support apps if not installed to btrfs.
  * Execute aptosid helper script earlier in install sequence.
  * Support transfer of configuration made live (but not specific) for
    greetd, lxqt, labwc, hyprland and sway.
  * Configure root dotfiles.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 12 Jul 2025 18:16:40 +0200

calamares-settings-aptosid (20250709.1) unstable; urgency=medium

  * Put FLL_READONLY_FSTYPE placeholder in unpackfsc.conf to be
    substituted at boot.
  * Remove calamares/modules/unpackfs.conf.

 -- Kel Modderman <kelvmod@gmail.com>  Wed, 09 Jul 2025 20:36:48 +1000

calamares-settings-aptosid (20250707.1) unstable; urgency=medium

  * Simplify btrfs subvolume setup by removing
    /var/lib/{libvirt,docker,machines}.
  * Update debian/copyright as per lintian old-fsf-address-in-copyright-file
    advice.
  * Keep calamares/modules/unpackfs.conf as an option that can be used
    manually.

 -- Kel Modderman <kelvmod@gmail.com>  Mon, 07 Jul 2025 20:29:09 +1000

calamares-settings-aptosid (20250617.1) unstable; urgency=medium

  * Purge distro-defaults package post-install.

 -- Kel Modderman <kelvmod@gmail.com>  Tue, 17 Jun 2025 18:50:37 +1000

calamares-settings-aptosid (20250315.4) unstable; urgency=medium

  [ Kel Modderman ]
  * Adopt snapper "Mixed" settings from
    https://github.com/kdave/btrfsmaintenance.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 22 Mar 2025 00:03:53 +0100

calamares-settings-aptosid (20250315.3) unstable; urgency=medium

  [ Kel Modderman ]
  * Do not specifically mount /var/tmp, /var/cache and /tmp as btrfs
    subvolumes, /tmp will be tmpfs per systemd and the others are fine
    enough to include in /@ snapshots.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 15 Mar 2025 23:55:23 +0100

calamares-settings-aptosid (20250315.2) unstable; urgency=medium

  [ Kel Modderman ]
  * Change ordering of filesystem options in partition module so btfrs
    defaults to selected.
  * Reorganise calamares-modules and helpers into an aptosid directory
    to improve ceherence of source package layout.
  * Import upstream users.conf and redo our group, passowrd and home
    permissions settings.
  * Remove the use of nodatacow - do not fix a problem that does not
    (yet) exist.
  * calamares-settings-aptosid: simplify /root/.bashrc setup.
  * Attempt auto configuration of / snapshots on btrfs with snapper.
  * Disable DBus when calling snapper from the chroot, supply filesystem
    type for configuration.
  * Use _ instead of @ for path separators in subvolumes.
  * Set less frequent snapper timeline snashot defaults.
  * Default to compress=zstd:1 and stop guessing whether it is an ssd or
    hdd.
  * Remove tmpOptions from fstab.conf and allow systemd to manage /tmp.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 15 Mar 2025 23:39:47 +0100

calamares-settings-aptosid (20250315.1) unstable; urgency=medium

  * Import full partitions.conf from upstream and configure swap
    choices.

 -- Kel Modderman <kelvmod@gmail.com>  Sat, 15 Mar 2025 11:56:40 +1000

calamares-settings-aptosid (20250314.1) unstable; urgency=medium

  [ Kel Modderman ]
  * Fine tune installation requirements, partition and mount configurations.
  * Reduce minimum storage requirement (GB) from 15 to 12.
  * Set defaultFileSystemType to btrfs.
  * Allow xfs in addition to btrfs and ext4.
  * Define btrfs subvolumes, and set default mount options including minimal
    zstd compression for btrfs on SSDs and standard zstd compression on
    spinning rust.
  * Follow openSUSE lead on subvolume layout (for snapper compatibility).
  * Clear mount module of deprecated options and enables tmpfs on /tmp on SSDs.
  * Do not make a subvolume for /var, but do make subvolumes from relevant
    subdirectories of /var.
  * Disable COW for paths likely to host virtual machine images and containers.
  * Add a @snapshots btrfs volume and mount on /.snapshots.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 14 Mar 2025 22:09:22 +0100

calamares-settings-aptosid (20250224.2) unstable; urgency=medium

  [ Kel Modderman ]
  * Set up root shell post-install.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 09 Mar 2025 17:46:27 +0100

calamares-settings-aptosid (20250224.1) unstable; urgency=medium

  [ Kel Modderman ]
  * Purge qemu-guest-agent in non-virt environments.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 28 Feb 2025 08:13:33 +0100

calamares-settings-aptosid (20250202.1) unstable; urgency=medium

  [ Kel Modderman ]
  * helpers/calamares-aptosid-config: remove references to liveapt and
    /fll.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 03 Feb 2025 03:09:54 +0100

calamares-settings-aptosid (20250111.4) unstable; urgency=medium

  [ Kel Modderman ]
  * Purge calamares-bootloader-config module - it was flawed and not
    effective.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 11 Jan 2025 14:17:48 +0100

calamares-settings-aptosid (20250111.3) unstable; urgency=medium

  [ Kel Modderman ]
  * No longer ask dpkg to do unsafe io, a crazy Debian default.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 11 Jan 2025 08:42:28 +0100

calamares-settings-aptosid (20250111.2) unstable; urgency=medium

  * calamares/modules/partition.conf: fix invalid whitespace in yaml.

 -- Kel Modderman <kelvmod@gmail.com>  Sat, 11 Jan 2025 12:58:09 +1000

calamares-settings-aptosid (20250111.1) unstable; urgency=medium

  * Switch to the new unpackfsc module for unsquashfs of /.
  * Restrict / filesystems to ext4 and btrfs, which are essential
    pyfll/aptosid packages.
  * Disable autologinGroup in users.conf.

