## calamares-settings-aptosid 20250803.2

=== debian/changelog ===
calamares-settings-aptosid (20250803.2) unstable; urgency=medium

  [ Kel Modderman ]
  * calamares/modules/unpackfsc.conf: look in /run/fll.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 16 Dec 2025 04:46:30 +0100
