## calamares-settings-aptosid 20251224.2

=== debian/changelog ===
calamares-settings-aptosid (20251224.2) unstable; urgency=medium

  [ Kel Modderman ]
  * Reorder availableFileSystemTypes such that ext4 is first.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 26 Dec 2025 19:58:16 +0100

calamares-settings-aptosid (20251224.1) unstable; urgency=medium

  [ Kel Modderman ]
  * Sync calamares/modules/displaymanager.conf with upstream.
  * Sync calamares/modules/partition.conf with upstream.
  * Default to ext4 filesystem in partitioning module.
  * Sync calamares/modules/finished.conf with upstream and migrate to
    new restartNowMode option.
  * Sync calamares/modules/fstab.conf with upstream.
  * Sync calamares/modules/grubcfg.conf with upstream. Activate
    defaults, and add splash to default kernel params.
  * Sync calamares/modules/luksopenswaphookcfg.conf with upstream.
  * Sync calamares/modules/machineid.conf and migrate from deprecated
    options.
  * Sync calamares/modules/mount.conf with upstream.
  * Sync calamares/modules/packages.conf with upstream. Set update_db to
    false.
  * Sync calamares/modules/services-systemd.conf and add a comment about
    why we re-activate some units during installation (they may be
    disabled on the live media, e.g. ssh).
  * Sync calamares/modules/unpackfsc.conf with upstream.
  * Sync calamares/modules/users.conf and explicitly set hostname
    options to defaults.
  * Sync calamares/modules/welcome.conf with upstream.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 25 Dec 2025 04:56:49 +0100

calamares-settings-aptosid (20251220.2) unstable; urgency=medium

  [ Kel Modderman ]
  * Set dracut as default initramfs generator.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 22 Dec 2025 00:52:26 +0100

calamares-settings-aptosid (20251220.1) unstable; urgency=medium

  [ Kel Modderman ]
  * Check if packages are installed in the chroot before attempting to
    execute their binaries (e.g. ssl-sert, openssh-server).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 21 Dec 2025 02:43:32 +0100

calamares-settings-aptosid (20251219.1) unstable; urgency=medium

  [ Kel Modderman ]
  * Enable ssh.service in install chroot and recreate openssh keys.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 20 Dec 2025 01:08:31 +0100
