## calamares-settings-aptosid 20260126.1

=== debian/changelog ===
calamares-settings-aptosid (20260126.1) unstable; urgency=medium

  [ Kel Modderman ]
  * Enable live adjustment of timezone.
  * aptosid-config: do not execute fll_locales in chroot.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 26 Jan 2026 13:19:28 +0100
