## calamares-settings-aptosid 20260223.1

=== debian/changelog ===
calamares-settings-aptosid (20260223.1) unstable; urgency=medium

  [ Kel Modderman ]
  * partition.conf: enable luks2 now that grub 2.14 is released with
    Argon2id support.

 -- Kel Modderman <kelvmod@gmail.com>  Mon, 23 Feb 2026 19:45:04 +1000
