=== debian/control ===
Source: calamares-settings-aptosid
Section: utils
Priority: optional
Maintainer: Kel Modderman <kelvmod@gmail.com>
Uploaders: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Git: https://github.com/fullstory/calamares-settings-aptosid.git
Vcs-Browser: https://github.com/fullstory/calamares-settings-aptosid

Package: calamares-settings-aptosid
Architecture: all
Depends: calamares,
	cracklib-runtime,
	wamerican,
	xdg-user-dirs,
	${misc:Depends}
Recommends: cryptsetup-initramfs,
	cryptsetup,
	keyutils
Provides: calamares-settings
Description: aptosid theme and settings for the Calamares Installer
 Calamares is a generic installer framework for Linux distributions.
 By default, it contains a set of boilerplate wording and images. This
 package provides the latest aptosid artwork as well as scripts that
 supports EFI installations.
 .
 It also serves as an example for how derivatives can create their own
 calamares-settings packages.
